package com.zsc.edu.gateway.framework.mybatisplus;

import java.lang.annotation.*;

/**
 * @author vertoryao
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataPermission {
    /**
     * 目标表的别名
     */
    String tableAlias() default "";
    /**
     * 部门表的别名
     */
    String deptAlias() default "dept_id";

    /**
     * 用户表的别名
     */
    String userAlias() default "create_id";
}
